import { Size } from "./size";

export type Coordinate = {
    longitude: number;
    latitude: number;
};

export type Position = {
    x: number;
    y: number;
};

const scalar = { x: 8.26, y: 3.6 } as const;
const offset = { x: 6, y: 57.92 } as const;


export function convertPixelsToCoordinate(mouse: Position, map: Size): Coordinate {
    return {
        longitude: offset.x + mouse.x * (scalar.x / map.width),
        latitude: offset.y - mouse.y * (scalar.y / map.height),
    };
}

export function convertCoordinateToPixels(coords: Coordinate, map: Size): Position {
    return {
        x: map.width * (coords.longitude - offset.x) / scalar.x,
        y: map.height * (offset.y - coords.latitude) / scalar.y,
    };
}

